package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.Goods;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class MusicGroupGoodsAndDiscountDto extends Goods {

    @ApiModelProperty(value = "折扣", required = true)
    private BigDecimal discountRate = BigDecimal.ONE;

    @ApiModelProperty(value = "折扣金额", required = true)
    private BigDecimal musicGroupDiscountPrice = BigDecimal.ZERO;

    public BigDecimal getDiscountRate() {
        return discountRate;
    }

    public void setDiscountRate(BigDecimal discountRate) {
        this.discountRate = discountRate;
    }

    public BigDecimal getMusicGroupDiscountPrice() {
        return musicGroupDiscountPrice;
    }

    public void setMusicGroupDiscountPrice(BigDecimal musicGroupDiscountPrice) {
        this.musicGroupDiscountPrice = musicGroupDiscountPrice;
    }
}
